=== debian/changelog ===
herbstluftwm (0.7.0-2) unstable; urgency=medium

  * Import patch by Fabian Wolff to make build reproducible (Closes:
    #823961)
  * Add xfonts-base to Recommends as suggested by Sebastian Hahn
    (Closes: #817143)
  * Update URLs
  * Bump standards version to 4.1.0
  * Move completions to vendor directory (Closes: ##843573)

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Oct 2017 17:06:43 +0200

herbstluftwm (0.7.0-1) unstable; urgency=medium

  * New upstream release
  * Add GPG key to uscan mechanism
  * Enable hardening
  * install bash completion to /usr/share
  * enable parallel build
  * Do not install redundant INSTALL file

 -- Christoph Egger <christoph@debian.org>  Mon, 08 Feb 2016 22:31:16 +0100
