=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean -- VERBOSE= COLOR=0

override_dh_auto_build:
	dh_auto_build -- VERBOSE= COLOR=0 LDXXFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/herbstluftwm/ BASHCOMPLETIONDIR=/usr/share/bash-completion/completions ZSHCOMPLETIONDIR=/usr/share/zsh/vendor-completions install
	rm -rf $(CURDIR)/debian/herbstluftwm/usr/share/licenses \
	       $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/LICENSE \
	       $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/INSTALL

override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm
