=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
http://herbstluftwm.org/tarballs/herbstluftwm-([\d.]+).tar.gz
