## herbstluftwm 0.7.1

=== debian/changelog ===
herbstluftwm (0.7.1-2) unstable; urgency=medium

  * reenable reproducibility

 -- Christoph Egger <christoph@debian.org>  Tue, 21 Aug 2018 22:35:15 +0200

herbstluftwm (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * Move to salsa's Debian group from collab-maint

 -- Christoph Egger <christoph@debian.org>  Sat, 18 Aug 2018 18:26:34 +0200
