=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 11~),
  libglib2.0-dev,
  libx11-dev,
  libxinerama-dev,
@@ -12,10 +12,10 @@
  docbook-xml,
  docbook-xsl,
  xsltproc
-Standards-Version: 4.1.0
+Standards-Version: 4.1.4
 Homepage: https://herbstluftwm.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/herbstluftwm.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/herbstluftwm.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/herbstluftwm.git
+Vcs-Browser: https://salsa.debian.org/debian/herbstluftwm
 
 Package: herbstluftwm
 Architecture: any
