## herbstluftwm 0.7.2

=== Makefile ===
--- 
+++ 
@@ -121,6 +121,7 @@
 	$(MKDIR) '$(DESTDIR)$(BASHCOMPLETIONDIR)'
 	$(MKDIR) '$(DESTDIR)$(CONFIGDIR)'
 	$(MKDIR) '$(DESTDIR)$(ZSHCOMPLETIONDIR)'
+	$(MKDIR) '$(DESTDIR)$(FISHCOMPLETIONDIR)'
 	$(MKDIR) '$(DESTDIR)$(XSESSIONSDIR)'
 	@echo "==> copying files..."
 	$(INSTALL) $(TARGETS) '$(DESTDIR)$(BINDIR)/'
@@ -132,6 +133,7 @@
 	$(INSTALL) -m 755 share/panel.sh '$(DESTDIR)$(CONFIGDIR)/'
 	$(INSTALL) -m 755 share/restartpanels.sh '$(DESTDIR)$(CONFIGDIR)/'
 	$(INSTALL) -m 644 share/herbstclient-completion '$(DESTDIR)$(BASHCOMPLETIONDIR)/'
+	$(INSTALL) -m 644 share/herbstclient.fish '$(DESTDIR)$(FISHCOMPLETIONDIR)/'
 	$(INSTALL) -m 644 share/_herbstclient '$(DESTDIR)$(ZSHCOMPLETIONDIR)/'
 	$(INSTALL) -m 644 share/herbstluftwm.desktop '$(DESTDIR)$(XSESSIONSDIR)/'
 	$(INSTALL) -m 755 share/dmenu_run_hlwm '$(DESTDIR)$(BINDIR)/'
@@ -158,6 +160,7 @@
 	-$(RM) '$(DESTDIR)$(CONFIGDIR)/panel.sh'
 	-$(RM) '$(DESTDIR)$(CONFIGDIR)/restartpanels.sh'
 	-$(RM) '$(DESTDIR)$(BASHCOMPLETIONDIR)/herbstclient-completion'
+	-$(RM) '$(DESTDIR)$(FISHCOMPLETIONDIR)/herbstclient.fish'
 	-$(RM) '$(DESTDIR)$(ZSHCOMPLETIONDIR)/_herbstclient'
 	-$(RM) '$(DESTDIR)$(XSESSIONSDIR)/herbstluftwm.desktop'
 	-$(RM) '$(DESTDIR)$(EXAMPLESDIR)/README'
