=== debian/changelog ===
herbstluftwm (0.7.2-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:39 +0100

herbstluftwm (0.7.2-3) unstable; urgency=medium

  * Reproducibility fixes

 -- Christoph Egger <christoph@debian.org>  Mon, 14 Oct 2019 00:38:12 +0200

herbstluftwm (0.7.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Christoph Egger <christoph@debian.org>  Sun, 13 Oct 2019 16:14:33 +0200

herbstluftwm (0.7.2-1) experimental; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Thu, 06 Jun 2019 22:29:32 +0200
