=== debian/changelog ===
herbstluftwm (0.8.0-2.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Sat, 11 Apr 2020 23:17:43 +0300

herbstluftwm (0.8.0-2) unstable; urgency=medium

  * Import upstream patches to fix 32-bit builds
  * Fix build reproducibility

 -- Christoph Egger <christoph@debian.org>  Fri, 10 Apr 2020 12:48:21 +0200

herbstluftwm (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Fri, 10 Apr 2020 00:51:20 +0200
