=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export BUILD_DATE = $(shell dpkg-parsechangelog -SDate | date -f- +"%Y-%m-%d")
PYTEST_VERSION = $(shell python3 -c 'import sys ; print("py" + "".join([str(i) for i in sys.version_info[:2]]))')

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	rm -f $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/INSTALL
	mv $(CURDIR)/debian/herbstluftwm/etc/bash_completion.d/herbstclient-completion \
	   $(CURDIR)/debian/herbstluftwm/usr/share/bash-completion/completions/herbstclient-completion
	-rmdir $(CURDIR)/debian/herbstluftwm/etc/bash_completion.d

#override_dh_auto_test:
#	(cd obj-* ; tox -c .. -e py3)


override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm
