=== debian/changelog ===
herbstluftwm (0.8.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 26 Apr 2020 11:27:15 -0700

herbstluftwm (0.8.1-1) unstable; urgency=medium

  * Fix reproducible build (Closes: #956477), thanks to Chris Lamb
  * New upstream version
    * bash_completion now installed where we would like it so remove renaming code

 -- Christoph Egger <christoph@debian.org>  Wed, 22 Apr 2020 20:41:52 +0200
