=== debian/control ===
--- 
+++ 
@@ -1,17 +1,28 @@
 Source: herbstluftwm
 Section: x11
 Priority: optional
-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
- debhelper (>= 11~),
- libglib2.0-dev,
+ asciidoc,
+ cmake,
+ debhelper (>= 12~),
+ docbook-xml,
+ docbook-xsl,
  libx11-dev,
  libxinerama-dev,
- asciidoc,
  libxml2-utils,
- docbook-xml,
- docbook-xsl,
- xsltproc
+ libxrandr-dev,
+# python3,
+# python3-ewmh,
+# python3-pytest,
+# python3-pytest-xdist,
+# python3-pytest-xvfb,
+# python3-xlib,
+# tox,
+ xsltproc,
+# x11-utils,
+# xterm
 Standards-Version: 4.1.4
 Homepage: https://herbstluftwm.org
 Vcs-Git: https://salsa.debian.org/debian/herbstluftwm.git
