=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export BUILD_DATE = $(shell date -u -d@$(SOURCE_DATE_EPOCH) +"%Y-%m-%d")
PYTEST_VERSION = $(shell python3 -c 'import sys ; print("py" + "".join([str(i) for i in sys.version_info[:2]]))')

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	rm -f $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/INSTALL

#override_dh_auto_test:
#	(cd obj-* ; tox -c .. -e py3)


override_dh_installwm:
	dh_installwm --priority=20 herbstluftwm

override_dh_strip:
	dh_strip --no-automatic-dbgsym
