=== debian/changelog ===
herbstluftwm (0.8.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Christoph Egger <christoph@debian.org>  Tue, 19 May 2020 14:57:28 +0200

herbstluftwm (0.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Tue, 05 May 2020 15:20:13 +0200
