=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: herbstluftwm
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Christoph Egger <christoph@debian.org>
+Maintainer: Christoph Egger <christoph@debian.org>
 Build-Depends:
  asciidoc,
  cmake,
