=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,3 @@
 
 override_dh_installwm:
 	dh_installwm --priority=20 herbstluftwm
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
