=== debian/changelog ===
herbstluftwm (0.8.3-2.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Tue, 23 Jun 2020 13:00:36 +0300

herbstluftwm (0.8.3-2) unstable; urgency=medium

  * Import upstream fix for XProperty type

 -- Christoph Egger <christoph@debian.org>  Mon, 22 Jun 2020 13:34:46 +0200

herbstluftwm (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Enable Tests

 -- Christoph Egger <christoph@debian.org>  Thu, 18 Jun 2020 16:52:37 +0200
