=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 	dh_auto_install --buildsystem=cmake
 	rm -f $(CURDIR)/debian/herbstluftwm/usr/share/doc/herbstluftwm/INSTALL
 
-#override_dh_auto_test:
-#	(cd obj-* ; tox -c .. -e py3)
+override_dh_auto_test:
+	(cd obj-* ; python3 -m pytest ../tests)
 
 
 override_dh_installwm:
