## herbstluftwm 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
     CACHE PATH "Install path for zsh completions file")
 set(FISHCOMPLETIONDIR ${DATADIR}/fish/vendor_completions.d
     CACHE PATH "Install path for fish completions file")
-set(BASHCOMPLETIONDIR ${CMAKE_INSTALL_SYSCONF_PREFIX}/bash_completion.d
+set(BASHCOMPLETIONDIR ${DATADIR}/bash-completion/completions
     CACHE PATH "Install path for bash completions file")
 
 ## do the actual work
@@ -46,7 +46,7 @@
 add_subdirectory(share)
 
 ## install everything that was not installed from subdirectories
-install(FILES BUGS NEWS INSTALL DESTINATION ${DOCDIR})
+install(FILES BUGS NEWS DESTINATION ${DOCDIR})
 install(FILES LICENSE DESTINATION ${LICENSEDIR})
 install(DIRECTORY scripts/ DESTINATION ${DOCDIR}/examples USE_SOURCE_PERMISSIONS)
