=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,22 @@
 option(WITH_DOCUMENTATION "Build with documentation" ON)
+
+function(gen_json_doc destfile)
+    set(dst "${CMAKE_CURRENT_BINARY_DIR}/${destfile}.json")
+    AUX_SOURCE_DIRECTORY("${CMAKE_CURRENT_SOURCE_DIR}/../src" CPPSRC)
+    add_custom_target("doc_json" ALL DEPENDS ${dst})
+    add_custom_command(
+        OUTPUT ${dst}
+        COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/gendoc.py" --sourcedir "${CMAKE_CURRENT_SOURCE_DIR}/../src" --json > ${dst}
+        DEPENDS ${CPPSRC} "${CMAKE_CURRENT_SOURCE_DIR}/gendoc.py"
+        )
+    install(FILES ${dst} DESTINATION ${DOCDIR})
+endfunction()
 
 function(gen_manpage sourcefile man_nr)
     set(src_orig "${CMAKE_CURRENT_SOURCE_DIR}/${sourcefile}.txt")
     set(src "${CMAKE_CURRENT_BINARY_DIR}/${sourcefile}.txt")
     set(dst "${CMAKE_CURRENT_BINARY_DIR}/${sourcefile}.${man_nr}")
+    STRING(TIMESTAMP BUILD_DATE "%Y-%m-%d" UTC)
 
     add_custom_target("doc_man_${sourcefile}" ALL DEPENDS ${dst})
     add_custom_command(
@@ -15,7 +28,7 @@
                 --no-xmllint
                 -f manpage
                 -a \"herbstluftwmversion=herbstluftwm ${VERSION}\"
-                -a \"date=`date +%Y-%m-%d`\"
+                -a \"date=${BUILD_DATE}\"
                 ${src}
         DEPENDS ${src_orig}
         )
@@ -36,6 +49,8 @@
     install(FILES ${dst} DESTINATION ${DOCDIR})
 endfunction()
 
+gen_json_doc(hlwm-doc)
+
 if (WITH_DOCUMENTATION)
     find_program(ASCIIDOC_A2X NAMES a2x DOC "Path to AsciiDoc a2x command")
     find_program(ASCIIDOC NAMES asciidoc DOC "Path to AsciiDoc command")
