=== debian/changelog ===
herbstluftwm (0.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Christoph Egger <christoph@debian.org>  Fri, 20 Nov 2020 15:16:39 +0100

herbstluftwm (0.8.3-3) unstable; urgency=medium

  * Upstream fix for FP imprecision (PR 942)
  * Some more room for test timeouts

 -- Christoph Egger <christoph@debian.org>  Sat, 04 Jul 2020 14:19:42 +0200
