=== debian/control ===
--- 
+++ 
@@ -12,16 +12,18 @@
  libxinerama-dev,
  libxml2-utils,
  libxrandr-dev,
-# python3,
-# python3-ewmh,
-# python3-pytest,
-# python3-pytest-xdist,
-# python3-pytest-xvfb,
-# python3-xlib,
-# tox,
+ python3,
+ python3-ewmh,
+ python3-pytest,
+ python3-pytest-xdist,
+ python3-pytest-xvfb,
+ python3-xlib,
+ x11-utils,
+ x11-xserver-utils,
+ xdotool,
+ xserver-xephyr,
  xsltproc,
-# x11-utils,
-# xterm
+ xterm
 Standards-Version: 4.1.4
 Homepage: https://herbstluftwm.org
 Vcs-Git: https://salsa.debian.org/debian/herbstluftwm.git
