=== debian/changelog ===
herbstluftwm (0.9.1-1.0antix1) unstable; urgency=medium

  * latest upstream
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Mon, 25 Jan 2021 01:13:39 +0200

herbstluftwm (0.9.0-1.0antix1) unstable; urgency=medium

  * latest upstream
  * antiX build

 -- anticapitalista <antix@operamail.com>  Thu, 12 Nov 2020 01:17:50 +0200

herbstluftwm (0.8.3-3.0antix1) unstable; urgency=medium

  * antiX buster build 

 -- anticapitalista <antix@operamail.com>  Mon, 06 Jul 2020 22:26:58 +0300
