=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_test:
 #	(cd obj-* ; python3 -m pytest --log-cli-level=DEBUG -x ../tests/test_layout.py::test_dump_frame_index)
-	(cd obj-* ; python3 -m pytest -x ../tests)
+#	(cd obj-* ; python3 -m pytest -x ../tests)
 
 
 override_dh_installwm:
